# BEGIN SourceDeps(oneline):
BuildRequires: imake libXt-devel xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum	Shooting game on X Window System

Summary:	%{sum}
Name:		xsoldier
Version:	1.8
Release:	alt1_10
License:	GPLv2
Group:		Games/Arcade
URL:		http://www.interq.or.jp/libra/oohara/xsoldier/
Source:		http://www.interq.or.jp/libra/oohara/xsoldier/%{name}-%{version}.tar.gz
Source3:	%{name}-icons.tar.bz2
Patch0:		%{name}-1.5-mdv-fix-str-fmt.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(xpm)
Source44: import.info

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q
%patch0 -p1


%build

%configure --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}/lib  --with-sdl

%make_build

%install
%makeinstall_std bindir=%{_gamesbindir} datadir=%{_datadir} localstatedir=%{_localstatedir}/lib mandir=%{_mandir}

install -m 755 -d %{buildroot}/%{_menudir}
install -m 755 -d %{buildroot}/%{_iconsdir}

(cd  %{buildroot}%{_iconsdir} ; bunzip2 -c %{SOURCE3} | tar xvf - ) 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{_gamesbindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

chmod 777 %{buildroot}%{_localstatedir}/lib/games/xsoldier
cp scorefile.txt %{buildroot}%{_localstatedir}/lib/games/xsoldier/xsoldier.scores
# relocate mdk icons
mkdir -p %buildroot{%_miconsdir,%_niconsdir,%_liconsdir}
mv -f %buildroot%_iconsdir/mini/* %buildroot%_miconsdir/
mv -f %buildroot%_iconsdir/large/* %buildroot%_liconsdir/
mv -f %buildroot%_iconsdir/*.* %buildroot%_niconsdir/


%files
%doc ChangeLog README LICENSE INSTALL
%attr(0755, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_datadir}/applications/*
%_niconsdir/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man6/*
%attr(664, games, games) %{_localstatedir}/lib/games/xsoldier/xsoldier.scores


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.8-alt1_10
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_9
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_8
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_7
- update by mgaimport

* Tue Jun 14 2016 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_6
- converted for ALT Linux by srpmconvert tools

